Subject: bug#70041: 30.0.50; mouse-autoselect-window causes unexpected scroll

From: Deric Bytes <[email-masked]>
Date: Tue, 2 Apr 2024 20:30:26 +0100

I can no longer reproduce this error.

I suddenly started getting a stack smash (emacs 30.0.50) when opening
tsx-ts-mode. I installed apt-get emacs 29.1 and had the same problem.

I deleted all traces of emacs and tree-sitter from my machine. I installed
from the latest source.

Everything works great, both with GTK and Lucid toolkits.

Thanks for your help.

On Sat, 30 Mar 2024 at 09:37, martin rudalics <[email-masked]> wrote:

>  > What would you like me to test for on the window-scroll-hooks?
>
> Let's start with
>
> (defun foo (window start)
>    "..."
>    (with-current-buffer (get-buffer-create "*foo*")
>      (let* ((buffer (window-buffer window))
>            (max (with-current-buffer buffer (point-max))))
>        (insert (format "window %s start %s point %s point-max %s\n"
>                       window start (window-point window) max)))))
>
> (add-hook 'window-scroll-functions 'foo)
>
> I suppose the problem you see is with windows where the value of 'point'
> is not that of 'point-max'.  Let's find such a window in the buffer
> *foo* first.
>
> Thanks, martin
>